Folks.GroupDetails – folks Reference Manual

# GroupDetails

## Object Hierarchy:

## Description:

public interface GroupDetails : Object

Groups for a contact.

This allows contacts to be collected into user-defined groups (or categories) for organisational purposes. Groups are non-exclusive and non-hierarchical, so a single contact can be put into many groups, but groups may not themselves be put into groups.

All known implementing classes:

- Individual

Namespace: Folks
Package: folks

## Content:

### Enums:

- ChangeReason - The reason a group member has changed its membership in the group.

### Properties:

- public abstract Set<string> groups { get; set; }
  A set of group IDs for groups containing the member.

### Methods:

- public abstract async void change_group (string group, bool is_member) throws Error
  Add or remove the contact from the specified group.
- public virtual async void change_groups (Set<string> groups) throws PropertyError
  Change the contact's groups.

### Signals:

- public signal void group_changed (string group, bool is_member)
  Emitted when the contact's membership status changes for a group.

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref